Bug 125578 - Safari sandboxing on macOS 10.14 blocks opening help
Summary: Safari sandboxing on macOS 10.14 blocks opening help
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.4.2 release
Hardware: All macOS (All)
: medium normal
Assignee: Christian Lohmaier
URL:
Whiteboard: target:6.3.0 target:6.2.5
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-29 13:05 UTC by Christian Lohmaier
Modified: 2019-06-10 14:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Lohmaier 2019-05-29 13:05:27 UTC
Description:
trying to open help on Mac OSX 10.14 with Safai as default browser fails because the sandboxing blocks Safari from accessing the temporary/intermediate html file created in the user-profile 

(and even if the intermediate file is put into NSTemporaryDirectory where Safari could open it from, it would still fail to open the index.html from within the LibreOffice.app directory)

Manually copying the path works (explicit user interaction) - but even if the intermediate file would contain a link for the user to click on pointing to the file in the LibreOffice.app folder access is blocked. Copying the link target and pasting into address bar again would work but is non-intuitive/user-unfriendly.

So suggested workaround for now is to force online (web) help when running on Mac OSX 10.14 and Safari is used as default browser

Steps to Reproduce:
1. install LibreOffice on mac 10.14 with Safari as default
2. try to open Help

Actual Results:
Safari opens, but only shows an error page (kCFErrorDomainCFNetwork error)

Expected Results:
should open the index.html from LibreOffice.app


Reproducible: Always


User Profile Reset: No



Additional Info:
the blocking is logged in Console.app 
sandboxd → blocks Webkit/Safari with com.apple.app-sandbox.read violation
Comment 1 Xisco Faulí 2019-05-29 14:28:21 UTC
Reproduced in

Version: 6.2.4.2
Build ID: 2412653d852ce75f65fbfa83fb7e7b669a126d64
CPU threads: 8; OS: Mac OS X 10.14.2; UI render: GL; VCL: osx; 
Locale: en-US (en_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Commit Notification 2019-05-31 09:42:47 UTC
Christian Lohmaier committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/44893662d510c4173e55ba27af02d0258a697a5d%5E%21

tdf#125578 force webhelp as workaround for Safari sandboxing w/ macOS 10.14

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-06-01 02:12:40 UTC
Christian Lohmaier committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/349b02b7f21ffda1e3e9c92939fc4d77029d0086%5E%21

tdf#125578 force webhelp as workaround for Safari sandboxing w/ macOS 10.14

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.